| Earth Observation Mission CFI Software Pointing Software User Manual for JAVA |

Static Public Attributes

# EECFI.EnumPointing Class Reference

Enumerations for Pointing library. More...

List of all members.

## Static Public Attributes
static long | XOCFI_NUM_CHECK_PARAMS = 6
static long | XPCFI_AOCS_GPM = 0
static long | XPCFI_AOCS_LNP = 1
static long | XPCFI_AOCS_YSM = 2
static long | XPCFI_AOCS_ZDOPPLER = 3
static long | XPCFI_MODEL_GENERIC = 0
static long | XPCFI_MODEL_ENVISAT = 1
static long | XPCFI_MODEL_CRYOSAT = 2
static long | XPCFI_MODEL_ADM = 3
static long | XPCFI_MODEL_SENTINEL1 = 4
static long | XPCFI_MODEL_SENTINEL2 = 5
static long | XPCFI_ANGLE_TYPE_TRUE_LAT_TOD = 0
static long | XPCFI_ANGLE_TYPE_MEAN_LAT_TOD = 1
static long | XPCFI_SEL_FILE = 0
static long | XPCFI_SEL_TIME = 1
static long | XPCFI_SEL_ORBIT = 2
static long | XPCFI_SEL_DEFAULT = 3
static long | XPCFI_SAT_NOMINAL_ATT_INIT_MODE = 0
static long | XPCFI_SAT_NOMINAL_ATT_INIT_MODEL_MODE = 1
static long | XPCFI_SAT_NOMINAL_ATT_INIT_HARMONIC_MODE = 2
static long | XPCFI_SAT_NOMINAL_ATT_INIT_FILE_MODE = 3
static long | XPCFI_SAT_ATT_ANGLE_INIT_MODE = 0
static long | XPCFI_SAT_ATT_MATRIX_INIT_MODE = 1
static long | XPCFI_SAT_ATT_INIT_HARMONIC_MODE = 2
static long | XPCFI_SAT_ATT_INIT_FILE_MODE = 3
static long | XPCFI_INSTR_ATT_ANGLE_INIT_MODE = 0
static long | XPCFI_INSTR_ATT_MATRIX_INIT_MODE = 1
static long | XPCFI_INSTR_ATT_INIT_HARMONIC_MODE = 2
static long | XPCFI_INSTR_ATT_INIT_FILE_MODE = 3
static long | XPCFI_ATTITUDE_INIT_NO_DATA_MODE = 0
static long | XPCFI_ATTITUDE_COMPUTE_MODE = 1
static long | XPCFI_ATTITUDE_USER_SET_MODE = 2
static long | XPCFI_ATTITUDE_GENERIC_FILE_MODEL = 0
static long | XPCFI_ATTITUDE_STAR_TRACKER_FILE_MODEL = 1
static long | XPCFI_ATTITUDE_QUATERNION_NO_FILE_MODEL = 2
static long | XPCFI_BM2000 = 1
| Barycentric Mean of 2000.0 coordinate system.
static long | XPCFI_HM2000 = 2
| Heliocentric Mean of 2000.0 coordinate system.
static long | XPCFI_GM2000 = 3
| Geocentric Mean of 2000.0 coordinate system.
static long | XPCFI_MOD = 4
| Mean of Date coordinate system.
static long | XPCFI_TOD = 5
| True of Date coordinate system.
static long | XPCFI_PEF = 6
| Pseudo Earth Fixed coordinate system.
static long | XPCFI_EF = 7
| Earth Fixed coordinate system.
static long | XPCFI_BM1950 = 8
| Barycentric Mean of 2000.0 coordinate system.
static long | XPCFI_GALACTIC = 9
| Galactic coordinate system.
static long | XPCFI_SAT_ORBITAL_REF = 0
static long | XPCFI_SAT_NOMINAL_ATT = 1
static long | XPCFI_SAT_ATT = 2
static long | XPCFI_INSTR_ATT = 3
static long | XPCFI_FRAME_FLAG_EXT = 0
| Coordinate system.
static long | XPCFI_FRAME_FLAG_SAT = 1
| Satellite attitude frame.
static long | XPCFI_NO_INTER = 0
static long | XPCFI_INTER_1ST = 1
static long | XPCFI_INTER_2ND = 2
static long | XPCFI_SOURCE_STAR = 0
static long | XPCFI_SOURCE_SUN = 1
static long | XPCFI_SOURCE_MOON = 2
static long | XPCFI_SOURCE_GENERIC = 3
static long | XPCFI_USER_TARGET_TYPE = 0
static long | XPCFI_LOS_TARGET_TYPE = 1
static long | XPCFI_DEM_TARGET_TYPE = 2
static long | XPCFI_X_AXIS = 0
static long | XPCFI_NEG_X_AXIS = 1
static long | XPCFI_Y_AXIS = 2
static long | XPCFI_NEG_Y_AXIS = 3
static long | XPCFI_Z_AXIS = 4
static long | XPCFI_NEG_Z_AXIS = 5
static long | XPCFI_SUN_VEC = 0
static long | XPCFI_MOON_VEC = 1
static long | XPCFI_EARTH_VEC = 2
static long | XPCFI_NADIR_VEC = 3
static long | XPCFI_INERTIAL_VEL_VEC = 4
static long | XPCFI_EF_VEL_VEC = 5
static long | XPCFI_INERTIAL_TARGET_VEC = 6
static long | XPCFI_EF_TARGET_VEC = 7
static long | XPCFI_SC_EF_VEL_VEC = 8
static long | XPCFI_ORBIT_POLE = 9
static long | XPCFI_INERTIAL_POS_VEC_CORRECTED = 10
static long | XPCFI_INERTIAL_VEL_VEC_ROTATED = 11
static long | XPCFI_NO_REF_INIT = XDCFI_NO_REF
static long | XPCFI_STD_INIT = XDCFI_STD_REF
static long | XPCFI_USER_INIT = XDCFI_USER_REF
static long | XPCFI_PRED_INIT = XDCFI_PRED_REF
static long | XPCFI_STD_INIT_N = XDCFI_STD_REF_N
static long | XPCFI_USER_INIT_N = XDCFI_USER_REF_N
static long | XPCFI_PRED_INIT_N = XDCFI_PRED_REF_N
static long | XPCFI_US76_INIT = XDCFI_US76_REF
static long | XPCFI_TROPIC_INIT = XDCFI_TROPIC_REF
static long | XPCFI_MID_SUM_INIT = XDCFI_MID_SUM_REF
static long | XPCFI_MID_WIN_INIT = XDCFI_MID_WIN_REF
static long | XPCFI_SUBAR_SUM_INIT = XDCFI_SUBAR_SUM_REF
static long | XPCFI_SUBAR_WIN_INIT = XDCFI_SUBAR_WIN_REF
static long | XPCFI_LUT_INIT = XDCFI_LUT_REF
static long | XPCFI_US76_INIT_N = XDCFI_US76_REF_N
static long | XPCFI_TROPIC_INIT_N = XDCFI_TROPIC_REF_N
static long | XPCFI_MID_SUM_INIT_N = XDCFI_MID_SUM_REF_N
static long | XPCFI_MID_WIN_INIT_N = XDCFI_MID_WIN_REF_N
static long | XPCFI_SUBAR_SUM_INIT_N = XDCFI_SUBAR_SUM_REF_N
static long | XPCFI_SUBAR_WIN_INIT_N = XDCFI_SUBAR_WIN_REF_N
static long | XPCFI_LUT_INIT_N = XDCFI_LUT_REF_N
static long | XPCFI_TARG_EXTRA_AUX_DIST_NAD_TARG_GT = 1
| Target auxiliary results vector names.
static long | XPCFI_TARG_EXTRA_AUX_RAD_CUR = 2
static long | XPCFI_TARG_EXTRA_AUX_DIST_NAD_TARG_GT_D = 4
static long | XPCFI_TARG_EXTRA_AUX_DIST_NAD_TARG_GT_2D = 8
static long | XPCFI_TARG_EXTRA_AUX_RAD_CUR_D = 16
static long | XPCFI_TARG_EXTRA_AUX_RAD_CUR_2D = 32
static long | XPCFI_TARG_EXTRA_AUX_TARGET_NADIR_VEL = 64
static long | XPCFI_TARG_EXTRA_AUX_MLST = 128
static long | XPCFI_TARG_EXTRA_AUX_TLST = 256
static long | XPCFI_TARG_EXTRA_AUX_DIST_NAD_TARG_SAT_NAD = 512
static long | XPCFI_TARG_EXTRA_AUX_DIST_NAD_TARG_SAT_NAD_D = 1024
static long | XPCFI_TARG_EXTRA_AUX_DIST_NAD_TARG_SAT_NAD_2D = 2048
static long | XPCFI_TARG_EXTRA_AUX_LOOK_DIR = 4096
static long | XPCFI_TARG_EXTRA_AUX_DIST_SSP_MIN_DIST_GT = 8192
static long | XPCFI_TARG_EXTRA_AUX_DIST_SSP_MIN_DIST_GT_D = 16384
static long | XPCFI_TARG_EXTRA_AUX_DIST_SSP_MIN_DIST_GT_2D = 32768
static long | XPCFI_TARG_EXTRA_AUX_ALL
static long | XPCFI_TARG_EXTRA_MAIN_GEO = 1
static long | XPCFI_TARG_EXTRA_MAIN_GEO_D = 2
static long | XPCFI_TARG_EXTRA_MAIN_GEO_2D = 4
static long | XPCFI_TARG_EXTRA_MAIN_TARG2SAT_TOP = 8
static long | XPCFI_TARG_EXTRA_MAIN_TARG2SAT_TOP_D = 16
static long | XPCFI_TARG_EXTRA_MAIN_TARG2SAT_TOP_2D = 32
static long | XPCFI_TARG_EXTRA_MAIN_SAT2TARG_TOP = 64
static long | XPCFI_TARG_EXTRA_MAIN_SAT2TARG_TOP_D = 128
static long | XPCFI_TARG_EXTRA_MAIN_SAT2TARG_TOP_2D = 256
static long | XPCFI_TARG_EXTRA_MAIN_SAT2TARG_ATTITUDE = 512
static long | XPCFI_TARG_EXTRA_MAIN_SAT2TARG_ATTITUDE_D = 1024
static long | XPCFI_TARG_EXTRA_MAIN_SAT2TARG_ATTITUDE_2D = 2048
static long | XPCFI_TARG_EXTRA_MAIN_ALL
static long | XPCFI_SAT_DEFAULT = XLCFI_SAT_DEFAULT
static long | XPCFI_SAT_DEFAULT1 = XLCFI_SAT_DEFAULT1
static long | XPCFI_SAT_DEFAULT2 = XLCFI_SAT_DEFAULT2
static long | XPCFI_SAT_DEFAULT3 = XLCFI_SAT_DEFAULT3
static long | XPCFI_SAT_DEFAULT4 = XLCFI_SAT_DEFAULT4
static long | XPCFI_SAT_DEFAULT5 = XLCFI_SAT_DEFAULT5
static long | XPCFI_SAT_DEFAULT6 = XLCFI_SAT_DEFAULT6
static long | XPCFI_SAT_DEFAULT7 = XLCFI_SAT_DEFAULT7
static long | XPCFI_SAT_DEFAULT8 = XLCFI_SAT_DEFAULT8
static long | XPCFI_SAT_DEFAULT9 = XLCFI_SAT_DEFAULT9
static long | XPCFI_SAT_ERS1 = XLCFI_SAT_ERS1
static long | XPCFI_SAT_ERS2 = XLCFI_SAT_ERS2
static long | XPCFI_SAT_ENVISAT = XLCFI_SAT_ENVISAT
static long | XPCFI_SAT_METOP1 = XLCFI_SAT_METOP1
static long | XPCFI_SAT_METOP2 = XLCFI_SAT_METOP2
static long | XPCFI_SAT_METOP3 = XLCFI_SAT_METOP3
static long | XPCFI_SAT_CRYOSAT = XLCFI_SAT_CRYOSAT
static long | XPCFI_SAT_ADM = XLCFI_SAT_ADM
static long | XPCFI_SAT_GOCE = XLCFI_SAT_GOCE
static long | XPCFI_SAT_SMOS = XLCFI_SAT_SMOS
static long | XPCFI_SAT_TERRASAR = XLCFI_SAT_TERRASAR
static long | XPCFI_SAT_EARTHCARE = XLCFI_SAT_EARTHCARE
static long | XPCFI_SAT_SWARM_A = XLCFI_SAT_SWARM_A
static long | XPCFI_SAT_SWARM_B = XLCFI_SAT_SWARM_B
static long | XPCFI_SAT_SWARM_C = XLCFI_SAT_SWARM_C
static long | XPCFI_SAT_SENTINEL_1A = XLCFI_SAT_SENTINEL_1A
static long | XPCFI_SAT_SENTINEL_1B = XLCFI_SAT_SENTINEL_1B
static long | XPCFI_SAT_SENTINEL_2 = XLCFI_SAT_SENTINEL_2
static long | XPCFI_SAT_SENTINEL_3 = XLCFI_SAT_SENTINEL_3
static long | XPCFI_SAT_SEOSAT = XLCFI_SAT_SEOSAT
static long | XPCFI_SAT_SENTINEL_1C = XLCFI_SAT_SENTINEL_1C
static long | XPCFI_SAT_SENTINEL_2A = XLCFI_SAT_SENTINEL_2A
static long | XPCFI_SAT_SENTINEL_2B = XLCFI_SAT_SENTINEL_2B
static long | XPCFI_SAT_SENTINEL_2C = XLCFI_SAT_SENTINEL_2C
static long | XPCFI_SAT_SENTINEL_3A = XLCFI_SAT_SENTINEL_3A
static long | XPCFI_SAT_SENTINEL_3B = XLCFI_SAT_SENTINEL_3B
static long | XPCFI_SAT_SENTINEL_3C = XLCFI_SAT_SENTINEL_3C
static long | XPCFI_SAT_GENERIC = XLCFI_SAT_GENERIC
static long | XPCFI_NO_DER = XLCFI_NO_DER
| No derivative is defined or calculated.
static long | XPCFI_DER_1ST = XLCFI_DER_1ST
| Only first derivative is defined or calculated.
static long | XPCFI_DER_2ND = XLCFI_DER_2ND
| Both 1st and 2nd derivatives are defined or calculated.
static long | XPCFI_TIME_UNDEF = XLCFI_TIME_UNDEF
static long | XPCFI_TIME_TAI = XLCFI_TIME_TAI
static long | XPCFI_TIME_UTC = XLCFI_TIME_UTC
static long | XPCFI_TIME_UT1 = XLCFI_TIME_UT1
static long | XPCFI_TIME_GPS = XLCFI_TIME_GPS
static long | XPCFI_MODE_FLAG_LOCATION = XLCFI_MODE_FLAG_LOCATION
static long | XPCFI_MODE_FLAG_DIRECTION = XLCFI_MODE_FLAG_DIRECTION
static long | XPCFI_DEM_ACE_MODEL = XDCFI_DEM_ACE_MODEL

## Detailed Description

Enumerations for Pointing library.